
import mx.central.Console;

class HelloPod extends MovieClip implements mx.central.Pod {

	var oRoot:MovieClip;
    var oConsole:Console;
	var nPodID:Number;
    var nViewerID:Number;
	var nPosition:Number;
	var nBaseTabIndex:Number;
    var nLastTabIndex:Number;
    var oInitialData:Object;
	
	/**
	 * Constructor. Saves a reference to the pod's main movie clip for future use.
	 */
	function HelloPod(mc:MovieClip) {
		oRoot = mc;
	}
		
    /**
     * Called by the Shell when our application is loaded.
	 */	
	function onActivate (console:Console, podID:Number, viewerID:Number, position:Number, baseTabIndex:Number, initialData:Object):Void
    {
        this.oConsole = console;
        this.nPodID = podID;
        this.nViewerID = podID;
		this.nPosition = position;
		this.nBaseTabIndex = baseTabIndex;
        this.oInitialData = initialData;

		// there is only one tab-able control in this pod
		this.nLastTabIndex = baseTabIndex + 1;
    }
	
	function getLastTabIndex (Void):Number
    {
        return this.nLastTabIndex;
    }

	function setBaseTabIndex (newIndex:Number):Void
    {
        this.nBaseTabIndex = newIndex;
    }
	
	/**
	 * Below are other methods from the Pod interface that are not implemented in this simple pod.
	 */
	 
	/**
     * Called by the Shell when information is blasted to this application
	 */
	function onSelectedItem (data:Array):Void {}
    /**
     * Called by the Shell when online status changes
	 */
    function onNetworkChange( connected:Boolean ):Void
    {
    }
	function onDeactivate(Void):Void {}
	function onNoticeEvent (event:Object, noticeData:Object, initialData:Object):Void {}
	function onPositionChange (newPosition:Number):Void {}
}
