/*
	DataProviderFilter.as

	Mike Chambers
	mesh@macromedia.com

	Converted to AS2 by sasha Magee - smagee@macromedia.com
	
	Filters a dataprovider. Takes a column name and value, and
	returns	a new mx.central.data.DataProviderClass that only returns the
	Columns that match the specified value.

	Usage Example:	
		var fc:FileConverter = new mx.central.utilities.FileConverter();
		fc.setTrimColumn(true);
	
	
		var lv:XML = new XML();
	
		lv.onData = function(data:String)
		{
	
			fc.parseData(data);
			
			var dp:mx.central.data.DataProviderClass = new mx.central.data.DataProviderClass();
				dp.items = fc.getDataArray();
			
			var dataFilter:DataProviderFilter  = new DataProviderFilter(dp);
			
			dGrid.setDataProvider(dataFilter.filter("Product", "CF"));
		}
	
		lv.load("data.csv");
*/

class DataProviderFilter 
{
	private var _dp:mx.central.data.DataProviderClass;
	
	public function DataProviderFilter(dp:mx.central.data.DataProviderClass)
	{
		_dp = dp;
	}
	
//column : column name you want to filter on.
//value : value you want the colum to match on.
	public function filter(column:String, value:Object):mx.central.data.DataProviderClass
	{
		var len:Number = this._dp.getLength();
	
		var tempDp:mx.central.data.DataProviderClass = new mx.central.data.DataProviderClass();

		var item:Object;

		for(var i = 0 ; i < len; i++)
		{
			item = this._dp.getItemAt(i);
			if(item[column] == value)
			{
				tempDp.addItem(item);	
			}
		}

		return tempDp;
	}
}